Configuration Names - List
Visar en lista över konfigurationsnamnen som genereras av Service Connector för alla mål, klienttyper och autentiseringstyper.
GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview
GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview&$filter={$filter}&$skipToken={$skipToken}
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string minLength: 1 |
DEN API-version som ska användas för den här åtgärden. |
|
$filter
|
query |
string |
OData-filteralternativ. |
|
|
$skip
|
query |
string |
OData skipToken-alternativ för sidnumrering. |
Svar
| Name | Typ | Description |
|---|---|---|
| 200 OK |
OKEJ. Begäran har slutförts. |
|
| Other Status Codes |
Felsvar som beskriver varför åtgärden misslyckades. |
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde.
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name | Description |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Exempel
GetConfigurationNames
Exempelbegäran
Exempelsvar
{
"value": [
{
"properties": {
"targetService": "MICROSOFT.APPCONFIGURATION/CONFIGURATIONSTORES",
"clientType": "none",
"authType": "systemAssignedIdentity",
"names": [
{
"value": "AZURE_APPCONFIGURATION_ENDPOINT",
"description": "App configuration endpoint"
},
{
"value": "AZURE_APPCONFIGURATION_SCOPE",
"description": "The scopes required for the token."
}
]
}
},
{
"properties": {
"targetService": "MICROSOFT.APPCONFIGURATION/CONFIGURATIONSTORES",
"clientType": "none",
"authType": "userAssignedIdentity",
"names": [
{
"value": "AZURE_APPCONFIGURATION_ENDPOINT",
"description": "App configuration endpoint"
},
{
"value": "AZURE_APPCONFIGURATION_CLIENTID",
"description": "The client(application) ID of the user identity."
},
{
"value": "AZURE_APPCONFIGURATION_SCOPE",
"description": "The scopes required for getting token."
}
]
}
}
],
"nextLink": null
}
Definitioner
| Name | Description |
|---|---|
|
Auth |
Autentiseringstypen. |
|
client |
Programklienttypen |
|
Configuration |
Konfigurationsnamnen. |
|
Configuration |
|
|
Configuration |
Konfigurationsnamnlista som ska anges baserat på en annan målresurs, klienttyp och autentiseringstyp. |
|
Dapr |
Dapr-komponentens metadata. |
|
Dapr |
Anger några ytterligare egenskaper för dapr-klienttyp |
|
Error |
Ytterligare information om resurshanteringsfelet. |
|
Error |
Felinformationen. |
|
Error |
Felsvar |
AuthType
Autentiseringstypen.
| Värde | Description |
|---|---|
| systemAssignedIdentity | |
| userAssignedIdentity | |
| servicePrincipalSecret | |
| servicePrincipalCertificate | |
| secret | |
| accessKey | |
| userAccount |
clientType
Programklienttypen
| Värde | Description |
|---|---|
| none | |
| dotnet | |
| java | |
| python | |
| go | |
| php | |
| ruby | |
| django | |
| nodejs | |
| springBoot | |
| kafka-springBoot | |
| dapr |
ConfigurationName
Konfigurationsnamnen.
| Name | Typ | Description |
|---|---|---|
| description |
string |
Beskrivning av konfigurationsnamnet. |
| required |
boolean |
Representera konfigurationen krävs eller inte |
| value |
string |
ConfigurationNameItem
| Name | Typ | Description |
|---|---|---|
| properties.authType |
Autentiseringstypen. |
|
| properties.clientType |
Klienttypen för konfigurationsnamn. |
|
| properties.daprProperties |
Anger några ytterligare egenskaper för dapr-klienttyp |
|
| properties.names |
De konfigurationsnamn som ska anges i beräkningstjänstmiljön. |
|
| properties.targetService |
string |
Måltjänstleverantörens namn och resursnamn. |
ConfigurationNameResult
Konfigurationsnamnlista som ska anges baserat på en annan målresurs, klienttyp och autentiseringstyp.
| Name | Typ | Description |
|---|---|---|
| nextLink |
string |
Länka till nästa sida med resurser. |
| value |
Förväntade konfigurationsnamn för varje måltjänst. |
DaprMetadata
Dapr-komponentens metadata.
| Name | Typ | Description |
|---|---|---|
| name |
string |
Namn på metadataegenskap. |
| secretRef |
string |
Det hemliga namnet där dapr kan hämta värde |
| value |
string |
Egenskapsvärde för metadata. |
DaprProperties
Anger några ytterligare egenskaper för dapr-klienttyp
| Name | Typ | Description |
|---|---|---|
| componentType |
string |
Komponenttypen dapr |
| metadata |
Ytterligare dapr-metadata |
|
| scopes |
string[] |
Dapr-komponentomfattningarna |
| secretStoreComponent |
string |
Namnet på en hemlig butiks-dapr för att hämta hemligheten |
| version |
string |
Dapr-komponentversionen |
ErrorAdditionalInfo
Ytterligare information om resurshanteringsfelet.
| Name | Typ | Description |
|---|---|---|
| info |
object |
Ytterligare information. |
| type |
string |
Ytterligare informationstyp. |
ErrorDetail
Felinformationen.
| Name | Typ | Description |
|---|---|---|
| additionalInfo |
Ytterligare information om felet. |
|
| code |
string |
Felkoden. |
| details |
Felinformationen. |
|
| message |
string |
Felmeddelandet. |
| target |
string |
Felmålet. |
ErrorResponse
Felsvar
| Name | Typ | Description |
|---|---|---|
| error |
Felobjektet. |